chauvessouris = 0
skellingtons  = 0
zombies = 0
fantomes = 0

improvement = 1

for i in range(1, 50*60+1):
    #spawns
    if i%2 == 0:
        chauvessouris = chauvessouris + 10
    if i%5 == 0:
        skellingtons = skellingtons + 5
    if i%6 == 0:
        zombies = zombies + 4
    if i%10 == 0:
        fantomes = fantomes + 3

    #improvement
    if i > 60*4 and i%(60*4) == 1:
        improvement = improvement + 1

    #kills
    if i%6 == 0:
        chauvessouris = chauvessouris - 2*improvement
    if i%20 == 0:
        skellingtons = skellingtons - 1*improvement
    if i%30 == 0:
        zombies = zombies - 1*improvement
    if i%40 == 0:
        fantomes = fantomes - 1*improvement

    print(f"{i} --- {chauvessouris}, {skellingtons}, {zombies}, {fantomes}")